# Swoole\Http\Request::rawcontent

(PHP 5 >= 5.2.0, PHP 7, PECL swoole >= 1.9.0)

Swoole\Http\Request::rawcontent — Get the raw HTTP POST body.

### Description

public Swoole\Http\Request::rawcontent ( void ) : string

This method is used for the POST data which isn't in the form of `application/x-www-form-urlencoded`.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values